<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.kotlin.fir.deserialization.ClassDeserializationKt void deserializeClassToSymbol(org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.metadata.ProtoBuf.Class, org.jetbrains.kotlin.fir.symbols.impl.FirRegularClassSymbol, org.jetbrains.kotlin.metadata.deserialization.NameResolver, org.jetbrains.kotlin.fir.FirSession, org.jetbrains.kotlin.fir.FirModuleData, org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer, org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory, org.jetbrains.kotlin.fir.scopes.FirScopeProvider, org.jetbrains.kotlin.serialization.SerializerExtensionProtocol, org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext, org.jetbrains.kotlin.serialization.deserialization.descriptors.DeserializedContainerSource, org.jetbrains.kotlin.fir.declarations.FirDeclarationOrigin, kotlin.jvm.functions.Function2&lt;? super org.jetbrains.kotlin.name.ClassId,? super org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext,org.jetbrains.kotlin.fir.symbols.impl.FirRegularClassSymbol&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.MultipleModuleDataProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.RegisteredInSerializationPluginMetadataExtensionKey INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory org.jetbrains.kotlin.fir.types.ConeKotlinType createDynamicType(org.jetbrains.kotlin.metadata.ProtoBuf.Type, org.jetbrains.kotlin.fir.types.ConeRigidType, org.jetbrains.kotlin.fir.types.ConeRigidType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProvider org.jetbrains.kotlin.fir.symbols.impl.FirTypeAliasSymbol getTypeAlias(org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.fir.deserialization.FirNestedTypeAliasDeserializationContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirConstDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.PackagePartsCacheData">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.ClassDeserializationKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationExtension">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext.Companion org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext createForClass(org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.metadata.ProtoBuf.Class, org.jetbrains.kotlin.metadata.deserialization.NameResolver, org.jetbrains.kotlin.fir.FirModuleData, org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer, org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory, org.jetbrains.kotlin.fir.deserialization.FirConstDeserializer, org.jetbrains.kotlin.serialization.deserialization.descriptors.DeserializedContainerSource, org.jetbrains.kotlin.fir.symbols.impl.FirRegularClassSymbol, org.jetbrains.kotlin.descriptors.EffectiveVisibility)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.ModuleDataProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirEnumEntryDeserializerAccessUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializer org.jetbrains.kotlin.fir.declarations.FirTypeAlias loadTypeAlias(org.jetbrains.kotlin.metadata.ProtoBuf.TypeAlias, org.jetbrains.kotlin.fir.scopes.FirScopeProvider, org.jetbrains.kotlin.fir.symbols.impl.FirTypeAliasSymbol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializer org.jetbrains.kotlin.fir.declarations.FirTypeAlias loadTypeAlias(org.jetbrains.kotlin.metadata.ProtoBuf.TypeAlias, org.jetbrains.kotlin.fir.scopes.FirScopeProvider, org.jetbrains.kotlin.fir.symbols.impl.FirTypeAliasSymbol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirConstDeserializer FirConstDeserializer(org.jetbrains.kotlin.serialization.SerializerExtensionProtocol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer org.jetbrains.kotlin.fir.types.ConeRigidType rigidType(org.jetbrains.kotlin.metadata.ProtoBuf.Type)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory org.jetbrains.kotlin.fir.types.ConeFlexibleType createFlexibleType(org.jetbrains.kotlin.metadata.ProtoBuf.Type, org.jetbrains.kotlin.fir.types.ConeRigidType, org.jetbrains.kotlin.fir.types.ConeRigidType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializer org.jetbrains.kotlin.fir.declarations.FirValueParameter loadLegacyContextReceiver(org.jetbrains.kotlin.metadata.ProtoBuf.Type, org.jetbrains.kotlin.fir.declarations.FirDeclarationOrigin, org.jetbrains.kotlin.fir.symbols.FirBasedSymbol&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationExtension boolean isMaybeMultiFieldValueClass(org.jetbrains.kotlin.serialization.deserialization.descriptors.DeserializedContainerSource)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializerWithTypeAnnotations">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirConstDeserializerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProvider.ClassMetadataFindResult.Metadata org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProvider.ClassMetadataFindResult.Metadata copy(org.jetbrains.kotlin.metadata.deserialization.NameResolver, org.jetbrains.kotlin.metadata.ProtoBuf.Class, org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer, org.jetbrains.kotlin.fir.FirModuleData, org.jetbrains.kotlin.serialization.deserialization.descriptors.DeserializedContainerSource, org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationExtension java.lang.Boolean loadHasBackingFieldFlag(org.jetbrains.kotlin.metadata.ProtoBuf.Property)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.ProtoEnumFlagsUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProviderKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializer java.util.List&lt;org.jetbrains.kotlin.fir.declarations.FirValueParameter&gt; createContextParametersForClass$fir_deserialization(org.jetbrains.kotlin.metadata.ProtoBuf.Class, org.jetbrains.kotlin.fir.declarations.FirDeclarationOrigin, org.jetbrains.kotlin.fir.symbols.FirBasedSymbol&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.MetadataBasedAnnotationDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.ClassDeserializationKt void deserializeClassToSymbol(org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.metadata.ProtoBuf.Class, org.jetbrains.kotlin.fir.symbols.impl.FirRegularClassSymbol, org.jetbrains.kotlin.metadata.deserialization.NameResolver, org.jetbrains.kotlin.fir.FirSession, org.jetbrains.kotlin.fir.FirModuleData, org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer, org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory, org.jetbrains.kotlin.fir.scopes.FirScopeProvider, org.jetbrains.kotlin.serialization.SerializerExtensionProtocol, org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext, org.jetbrains.kotlin.serialization.deserialization.descriptors.DeserializedContainerSource, org.jetbrains.kotlin.fir.declarations.FirDeclarationOrigin, kotlin.jvm.functions.Function2&lt;? super org.jetbrains.kotlin.name.ClassId,? super org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext,org.jetbrains.kotlin.fir.symbols.impl.FirRegularClassSymbol&gt;, kotlin.jvm.functions.Function2&lt;? super org.jetbrains.kotlin.name.ClassId,? super org.jetbrains.kotlin.fir.deserialization.FirNestedTypeAliasDeserializationContext,org.jetbrains.kotlin.fir.symbols.impl.FirTypeAliasSymbol&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirDeserializationUtilsKt void deserializeCompilerPluginMetadata(org.jetbrains.kotlin.fir.declarations.FirDeclaration, org.jetbrains.kotlin.fir.deserialization.FirDeserializationContext, M, kotlin.jvm.functions.Function1&lt;? super M,? extends java.util.List&lt;org.jetbrains.kotlin.metadata.ProtoBuf.CompilerPluginData&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirNestedTypeAliasDeserializationContext">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirBuiltinAnnotationDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializer org.jetbrains.kotlin.fir.declarations.FirTypeAlias loadTypeAlias(org.jetbrains.kotlin.metadata.ProtoBuf.TypeAlias, org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.fir.scopes.FirScopeProvider, org.jetbrains.kotlin.fir.symbols.impl.FirTypeAliasSymbol)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProvider.ClassMetadataFindResult.Metadata Metadata(org.jetbrains.kotlin.metadata.deserialization.NameResolver, org.jetbrains.kotlin.metadata.ProtoBuf.Class, org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer, org.jetbrains.kotlin.fir.FirModuleData, org.jetbrains.kotlin.serialization.deserialization.descriptors.DeserializedContainerSource, org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractAnnotationDeserializer java.util.List&lt;org.jetbrains.kotlin.fir.expressions.FirAnnotation&gt; loadEnumEntryAnnotations(org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.metadata.ProtoBuf.EnumEntry, org.jetbrains.kotlin.metadata.deserialization.NameResolver)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirEnumEntryDeserializerAccessUtilKt org.jetbrains.kotlin.fir.expressions.FirResolvedQualifier toResolvedQualifier(org.jetbrains.kotlin.name.ClassId, org.jetbrains.kotlin.fir.FirSession)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.ModuleDataProvider org.jetbrains.kotlin.fir.FirModuleData getRegularDependenciesModuleData()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.AbstractFirDeserializedSymbolProvider.ClassMetadataFindResult.Metadata org.jetbrains.kotlin.fir.deserialization.FirTypeDeserializer.FlexibleTypeFactory component6()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirContractDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.SingleModuleDataProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.MultipleModuleDataProvider MultipleModuleDataProvider(java.util.Map&lt;org.jetbrains.kotlin.fir.FirModuleData,? extends org.jetbrains.kotlin.fir.deserialization.LibraryPathFilter&gt;, org.jetbrains.kotlin.fir.FirModuleData)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.LibraryPathFilter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.fir.deserialization.FirMemberDeserializer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
</root>
